{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="tblList">
		<form method="get" name="client_payment" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
				<tr class="tblHeader">
					<td colspan="10">
						Client:
						<a href="javascript: submitModifiedForm('filter_client', 'prev', document.client_payment);"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_prev_sm.gif"></a>
						<select name="client_id" id="filter_client" onChange="submitModifiedForm('filter_client', '', document.client_payment);">
							{html_options options=$client_options selected=$client_id}
						</select>
						<input type="hidden" id="old_filter_client" value="{$client_id}">
						<a href="javascript: submitModifiedForm('filter_client', 'next', document.client_payment);"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_next_sm.gif"></a>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						{if $client_id > 0 AND $permission->Check('invoice','view')}
							[ <a href="{urlbuilder script="../invoice/InvoiceList.php" values="client_id=$client_id" merge="FALSE"}">Invoices</a> ]
						{/if}
						{if $client_id > 0 AND $permission->Check('client','view')}
							[ <a href="{urlbuilder script="ClientContactList.php" values="client_id=$client_id" merge="FALSE"}">Contacts</a> ]
						{/if}
					</td>
				</tr>
				<tr class="tblHeader">
					<td>
						{include file="column_sort.tpl" label="Type" sort_column="type_id" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Number" sort_column="number" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Status" sort_column="status_id" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Default" sort_column="default" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						Functions
					</td>
					<td>
						<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)"/>
					</td>
				</tr>
				{foreach from=$rows item=row}
					{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
					{if $row.deleted == TRUE}
						{assign var="row_class" value="tblDataDeleted"}
					{/if}
					<tr class="{$row_class}">
						<td>
							{$row.type}
						</td>
						<td>
							{if $row.type_id == 30}
								{$row.cc_number}
							{elseif $row.type_id == 40}
								{$row.account}
							{/if}
						</td>
						<td>
							{$row.status}
						</td>
						<td>
							{if $row.default == TRUE}
								Yes
							{else}
								No
							{/if}
						</td>
						<td>
							{assign var="row_id" value=$row.id}
							{if $permission->Check('client_payment','edit')}
								[ <a href="{urlbuilder script="EditClientPayment.php" values="id=$row_id" merge="FALSE"}">Edit</a> ]
							{/if}
						</td>
						<td>
							<input type="checkbox" class="checkbox" name="ids[]" value="{$row.id}">
						</td>
					</tr>
				{/foreach}
				<tr>
					<td class="tblActionRow" colspan="7">
						{if $permission->Check('client_payment','add')}
							<input type="submit" class="button" name="action" value="Add">
						{/if}
						{if $permission->Check('client_payment','delete')}
						 <input type="submit" class="button" name="action" value="Delete" onClick="return confirmSubmit()">
						{/if}
						{if $permission->Check('client_payment','undelete')}
							<input type="submit" class="button" name="action" value="UnDelete">
						{/if}
					</td>
				</tr>
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
			<input type="hidden" name="sort_column" value="{$sort_column}">
			<input type="hidden" name="sort_order" value="{$sort_order}">
			<input type="hidden" name="page" value="{$paging_data.current_page}">
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}
