{include file="header.tpl" body_onload="countAllReportCriteria();"}

<script	language=JavaScript>
{literal}
var report_criteria_elements = new Array(
									'filter_user_status',
									'filter_group',
									'filter_branch',
									'filter_department',
									'filter_user_title',
									'filter_include_user',
									'filter_exclude_user'
									);

{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<form method="post" name="report" action="{$smarty.server.SCRIPT_NAME}">
			<input type="hidden" id="action" name="action" value="">

		    <div id="contentBoxTwoEdit">

				{if !$ugdf->Validator->isValid()}
					{include file="form_errors.tpl" object="ugdf"}
				{/if}

				<table class="editTable">

				<tr class="tblHeader">
					<td colspan="4">
						Saved Reports
					</td>
				</tr>

				<tr >
					<td class="{isvalid object="ugdf" label="name" value="cellLeftEditTable"}">
						Name:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<input type="text" name="generic_data[name]" value="{$generic_data.name}">

						<select id="generic_id" name="generic_data[id]" onChange="this.form.target = '_self';document.getElementById('action').value = 'Load'; this.form.submit()">
							{html_options options=$generic_data.saved_report_options selected=$generic_data.id}
						</select>

						Default: <input type="checkbox" class="checkbox" name="generic_data[is_default]" value="1">

						<input type="BUTTON" name="action" value="Save" onClick="selectAllReportCriteria(); this.form.target = '_self';document.getElementById('action').value = 'Save'; this.form.submit()">
						<input type="BUTTON" name="action" value="Delete" onClick="this.form.target = '_self';document.getElementById('action').value = 'Delete'; this.form.submit()">
					</td>

				</tr>

				{if !isset($setup_data.2_psea_ids)
						OR !isset($setup_data.3_psea_ids)
						OR !isset($setup_data.5a_psea_ids)
						OR !isset($setup_data.5b_psea_ids)
						OR !isset($setup_data.5c_psea_ids)
						OR !isset($setup_data.9_psea_ids)}
					<tr class="tblDataError">
						<td colspan="4">
							<b>ERROR: Report has not been setup yet! Please click the arrow below to do so now.</b>
						</td>
					</tr>
				{/if}

				<tr>
					<td class="{isvalid object="cdf" label="user" value="cellLeftEditTable"}" nowrap>
						<a href="javascript:toggleRowObject('setup');toggleImage(document.getElementById('setup_img'), '{$IMAGES_URL}/nav_bottom_sm.gif', '{$IMAGES_URL}/nav_top_sm.gif');"><img style="vertical-align: middle" id="setup_img" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a><b> Report Setup:</b>

					</td>
					<td class="cellRightEditTable" colspan="3">
						Specify which Pay Stub Accounts total for each box in the form. Click arrow to modify.
					</td>
				</tr>

				<tbody id="setup" style="display:none" >
				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Wages, tips and other compensation (Line 2):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[2_psea_ids][]" size="{select_size array=$filter_data.income_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.income_pay_stub_entry_account_options selected=$setup_data.2_psea_ids}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Income Tax (Line 3):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[3_psea_ids][]" size="{select_size array=$filter_data.deduction_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.deduction_pay_stub_entry_account_options selected=$setup_data.3_psea_ids}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Taxable Social Security Wages (Line 5a):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[5a_psea_ids][]" size="{select_size array=$filter_data.earning_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.earning_pay_stub_entry_account_options selected=$setup_data.5a_psea_ids}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Taxable Social Security Tips (Line 5b):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[5b_psea_ids][]" size="{select_size array=$filter_data.earning_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.earning_pay_stub_entry_account_options selected=$setup_data.5b_psea_ids}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Taxable Medicare Wages (Line 5c):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[5c_psea_ids][]" size="{select_size array=$filter_data.earning_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.earning_pay_stub_entry_account_options selected=$setup_data.5c_psea_ids}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="tax" value="cellLeftEditTable"}">
						Earned Income Credit (EIC) (Line 9):
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="setup_data[9_psea_ids][]" size="{select_size array=$filter_data.earning_pay_stub_entry_account_options}" multiple>
							{html_options options=$filter_data.earning_pay_stub_entry_account_options selected=$setup_data.9_psea_ids}
						</select>
					</td>
				</tr>
				</tbody>

				<tr class="tblHeader">
					<td colspan="4">
						Report Filter Criteria
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="quarter" value="cellLeftEditTableHeader"}">
						Quarter:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="filter_data[quarter_id]">
							{html_options options=$filter_data.quarter_options selected=$filter_data.quarter_id}
						</select>
					</td>
				</tr>

				<tr>
					<td class="{isvalid object="ugdf" label="quarter" value="cellLeftEditTableHeader"}">
						Year:
					</td>
					<td colspan="3" class="cellRightEditTable">
						<select id="columns" name="filter_data[year]">
							{html_options options=$filter_data.year_options selected=$filter_data.year}
						</select>
					</td>
				</tr>

				<tbody id="filter_user_status_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Employee Status:</b><a href="javascript:hideReportCriteria('filter_user_status');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employee Statuses
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employee Statuses
									</td>
								</tr>
								<tr>
									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_user_status'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_user_status'))">
										<br>
										<select id="src_filter_user_status" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_user_status_options}" multiple>
											{html_options options=$filter_data.src_user_status_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_user_status', 'filter_user_status', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_user_status', 'src_filter_user_status', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_user_status'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_user_status'))">
										<br>
										<select name="filter_data[user_status_ids][]" id="filter_user_status" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.select_user_status_options}" multiple>
											{html_options options=$filter_data.selected_user_status_options selected=$filter_data.selected_user_status_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_user_status_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Employee Status:</b><a href="javascript:showReportCriteria('filter_user_status')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_user_status_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_group_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Group:</b><a href="javascript:hideReportCriteria('filter_group');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Groups
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Groups
									</td>
								</tr>
								<tr>
									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_group'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_group'))">
										<br>
										<select id="src_filter_group" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_group_options}" multiple>
											{html_options options=$filter_data.src_group_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_group', 'filter_group', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_group', 'src_filter_group', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_group'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_group'))">
										<br>
										<select name="filter_data[group_ids][]" id="filter_group" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.select_group_options}" multiple>
											{html_options options=$filter_data.selected_group_options selected=$filter_data.selected_group_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_group_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Group:</b><a href="javascript:showReportCriteria('filter_group')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_group_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_branch_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Default Branch:</b><a href="javascript:hideReportCriteria('filter_branch');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Branches
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Branches
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_branch'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_branch'))">
										<br>
										<select id="src_filter_branch" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_branch_options}" multiple>
											{html_options options=$filter_data.src_branch_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_branch', 'filter_branch', {select_size array=$filter_data.src_branch_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_branch', 'src_filter_branch', {select_size array=$filter_data.src_branch_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_branch'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_branch'))">
										<br>
										<select name="filter_data[branch_ids][]" id="filter_branch" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_branch_options}" multiple>
											{html_options options=$filter_data.selected_branch_options selected=$filter_data.selected_branch_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_branch_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Default Branch:</b><a href="javascript:showReportCriteria('filter_branch')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_branch_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>


				<tbody id="filter_department_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Default Department:</b><a href="javascript:hideReportCriteria('filter_department');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Departments
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Departments
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_department'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_department'))">
										<br>
										<select id="src_filter_department" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_department_options}" multiple>
											{html_options options=$filter_data.src_department_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_department', 'filter_department', {select_size array=$filter_data.src_department_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_department', 'src_filter_department', {select_size array=$filter_data.src_department_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_department'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_department'))">
										<br>
										<select name="filter_data[department_ids][]" id="filter_department" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_department_options}" multiple>
											{html_options options=$filter_data.selected_department_options selected=$filter_data.selected_department_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_department_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Default Department:</b><a href="javascript:showReportCriteria('filter_department')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_department_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>


				<tbody id="filter_user_title_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Employee Title:</b><a href="javascript:hideReportCriteria('filter_user_title');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Titles
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Titles
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_user_title'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_user_title'))">
										<br>
										<select id="src_filter_user_title" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_user_title_options}" multiple>
											{html_options options=$filter_data.src_user_title_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_user_title', 'filter_user_title', {select_size array=$filter_data.src_user_title_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_user_title', 'src_filter_user_title', {select_size array=$filter_data.src_user_title_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_user_title'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_user_title'))">
										<br>
										<select name="filter_data[user_title_ids][]" id="filter_user_title" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_user_title_options}" multiple>
											{html_options options=$filter_data.selected_user_title_options selected=$filter_data.selected_user_title_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_user_title_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Employee Title:</b><a href="javascript:showReportCriteria('filter_user_title')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_user_title_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_include_user_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Include Employees:</b><a href="javascript:hideReportCriteria('filter_include_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employees
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employees
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_include_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_include_user'))">
										<br>
										<select id="src_filter_include_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_include_user_options}" multiple>
											{html_options options=$filter_data.src_include_user_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_include_user', 'filter_include_user', {select_size array=$filter_data.src_include_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_include_user', 'src_filter_include_user', {select_size array=$filter_data.src_include_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
										<br>
										<br>
										<br>
										<a href="javascript:UserSearch('src_filter_include_user','filter_include_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_popup.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_include_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_include_user'))">
										<br>
										<select name="filter_data[include_user_ids][]" id="filter_include_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_include_user_options}" multiple>
											{html_options options=$filter_data.selected_include_user_options selected=$filter_data.selected_include_user_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_include_user_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Include Employees:</b><a href="javascript:showReportCriteria('filter_include_user')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_include_user_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_exclude_user_on" style="display:none" >
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Exclude Employees:</b><a href="javascript:hideReportCriteria('filter_exclude_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td colspan="3">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employees
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employees
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_exclude_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_exclude_user'))">
										<br>
										<select id="src_filter_exclude_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_exclude_user_options}" multiple>
											{html_options options=$filter_data.src_exclude_user_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_exclude_user', 'filter_exclude_user', {select_size array=$filter_data.src_exclude_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_exclude_user', 'src_filter_exclude_user', {select_size array=$filter_data.src_exclude_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
										<br>
										<br>
										<br>
										<a href="javascript:UserSearch('src_filter_exclude_user','filter_exclude_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_popup.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_exclude_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_exclude_user'))">
										<br>
										<select name="filter_data[exclude_user_ids][]" id="filter_exclude_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_exclude_user_options}" multiple>
											{html_options options=$filter_data.selected_exclude_user_options selected=$filter_data.selected_exclude_user_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_exclude_user_off">
					<tr>
						<td class="cellLeftEditTableHeader" nowrap>
							<b>Exclude Employees:</b><a href="javascript:showReportCriteria('filter_exclude_user')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader" colspan="3">
							<span id="filter_exclude_user_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				</table>
			</div>

		<div id="contentBoxFour">
			<input type="submit" name="BUTTON" value="Display Form" onClick="selectAllReportCriteria(); this.form.target = '_self'; document.getElementById('action').value = 'Display Form';this.form.submit()">
			{* <input type="submit" name="BUTTON" value="Display Report" onClick="this.form.target = '_blank'; document.getElementById('action').value = 'Display Report';"> *}
		</div>

			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}