{include file="header.tpl" enable_calendar=TRUE body_onload="countAllReportCriteria();showReportDateType();"}

<script	language=JavaScript>
{literal}
var report_criteria_elements = new Array(
									'filter_user_status',
									'filter_group',
									'filter_branch',
									'filter_department',
									'filter_user_title',
									'filter_pay_period',
									'filter_include_user',
									'filter_exclude_user',
									'filter_column');

var report_date_type_elements = new Array();
report_date_type_elements['date_type_transaction_date'] = new Array('start_date', 'end_date');
report_date_type_elements['date_type_pay_period'] = new Array('src_filter_pay_period', 'filter_pay_period');
function showReportDateType() {	
	for ( i in report_date_type_elements ) {
		if ( document.getElementById( i ) ) {
			if ( document.getElementById( i ).checked == true ) {
				class_name = '';
			} else {
				class_name = 'DisableFormElement';
			}
			
			for (var x=0; x < report_date_type_elements[i].length ; x++) {
				document.getElementById( report_date_type_elements[i][x] ).className = class_name;
			}
		}
	}
}
{/literal}
</script>

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<form method="post" name="report" action="{$smarty.server.SCRIPT_NAME}" target="_self">
			<input type="hidden" id="action" name="action" value="">

		    <div id="contentBoxTwoEdit">

				{if !$ugdf->Validator->isValid()}
					{include file="form_errors.tpl" object="ugdf"}
				{/if}

				<table class="editTable" id="report_table">

				<tr class="tblHeader">
					<td colspan="3">
						Saved Reports
					</td>
				</tr>

				<tr >
					<td colspan="2" class="{isvalid object="ugdf" label="name" value="cellLeftEditTable"}">
						Name:
					</td>
					<td class="cellRightEditTable">
						<input type="text" name="generic_data[name]" value="{$generic_data.name}">

						<select id="generic_id" name="generic_data[id]" onChange="this.form.target = '_self';document.getElementById('action').value = 'Load'; this.form.submit()">
							{html_options options=$generic_data.saved_report_options selected=$generic_data.id}
						</select>

						Default: <input type="checkbox" class="checkbox" name="generic_data[is_default]" value="1">

						<input type="BUTTON" name="action" value="Save" onClick="selectAllReportCriteria(); this.form.target = '_self';document.getElementById('action').value = 'Save'; this.form.submit()">
						<input type="BUTTON" name="action" value="Delete" onClick="this.form.target = '_self';document.getElementById('action').value = 'Delete'; this.form.submit()">
					</td>
				</tr>

				<tr class="tblHeader">
					<td colspan="3">
						Report Filter Criteria
					</td>
				</tr>

				<tr>
					<td class="cellReportRadioColumn" rowspan="2">
						<input type="radio" class="checkbox" id="date_type_transaction_date" name="filter_data[date_type]" value="transaction_date" onClick="showReportDateType();" {if $filter_data.date_type  == '' OR $filter_data.date_type == 'transaction_date'}checked{/if}>
					</td>				
					<td class="cellLeftEditTableHeader">
						Transaction Start Date:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="22" id="start_date" name="filter_data[transaction_start_date]" value="{getdate type="DATE" epoch=$filter_data.transaction_start_date}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_start_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('start_date', 'cal_start_date', false);">
						ie: {$current_user_prefs->getDateFormatExample()}
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTableHeader">
						Transaction End Date:
					</td>
					<td class="cellRightEditTable">
						<input type="text" size="22" id="end_date" name="filter_data[transaction_end_date]" value="{getdate type="DATE" epoch=$filter_data.transaction_end_date}">
						<img src="{$BASE_URL}/images/cal.gif" id="cal_end_date" width="16" height="16" border="0" alt="Pick a date" onMouseOver="calendar_setup('end_date', 'cal_end_date', false);">
						ie: {$current_user_prefs->getDateFormatExample()}
					</td>
				</tr>

				<tr>
					<td class="cellReportRadioColumn">
						<input type="radio" class="checkbox" id="date_type_pay_period" name="filter_data[date_type]" value="pay_period_ids" onClick="showReportDateType();" {if $filter_data.date_type == 'pay_period_ids'}checked{/if}>						
					</td>									
					<td class="cellLeftEditTableHeader" nowrap>
						<b>Pay Period:</b><a href="javascript:toggleReportCriteria('filter_pay_period');"><img style="vertical-align: middle" id="filter_pay_period_img" src="{$IMAGES_URL}nav_bottom_sm.gif"></a>
					</td>
					<td id="filter_pay_period_right_cell" class="cellRightEditTableHeader">
						<div id="filter_pay_period_on" style="display:none">
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Pay Periods
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Pay Periods
									</td>
								</tr>
									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_pay_period'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_pay_period'))">
										<br>
										<select id="src_filter_pay_period" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_pay_period_options}" multiple>
											{html_options options=$filter_data.src_pay_period_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_pay_period', 'filter_pay_period', {select_size array=$filter_data.src_pay_period_options}, true, 'value' );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_pay_period', 'src_filter_pay_period', {select_size array=$filter_data.src_pay_period_options}, true, 'value' );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_pay_period'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_pay_period'))">
										<br>
										<select name="filter_data[pay_period_ids][]" id="filter_pay_period" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_pay_period_options}" multiple>
											{html_options options=$filter_data.selected_pay_period_options selected=$filter_data.selected_pay_period_options}
										</select>
									</td>
								</tr>
							</table>
						</div>							
						<div id="filter_pay_period_off" >
							<span id="filter_pay_period_count">N/A</span> currently selected, click the arrow to modify.							
						</div>							
					</td>
				</tr>
				
				<tbody id="filter_user_status_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Employee Status:</b><a href="javascript:hideReportCriteria('filter_user_status');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td >
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employee Statuses
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employee Statuses
									</td>
								</tr>
								<tr>
									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_user_status'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_user_status'))">
										<br>
										<select id="src_filter_user_status" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_user_status_options}" multiple>
											{html_options options=$filter_data.src_user_status_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_user_status', 'filter_user_status', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_user_status', 'src_filter_user_status', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_user_status'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_user_status'))">
										<br>
										<select name="filter_data[user_status_ids][]" id="filter_user_status" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.select_user_status_options}" multiple>
											{html_options options=$filter_data.selected_user_status_options selected=$filter_data.selected_user_status_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_user_status_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Employee Status:</b><a href="javascript:showReportCriteria('filter_user_status')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_user_status_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_group_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Group:</b><a href="javascript:hideReportCriteria('filter_group');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Groups
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Groups
									</td>
								</tr>
								<tr>
									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_group'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_group'))">
										<br>
										<select id="src_filter_group" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_group_options}" multiple>
											{html_options options=$filter_data.src_group_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_group', 'filter_group', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_group', 'src_filter_group', {select_size array=$filter_data.src_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_group'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_group'))">
										<br>
										<select name="filter_data[group_ids][]" id="filter_group" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.select_group_options}" multiple>
											{html_options options=$filter_data.selected_group_options selected=$filter_data.selected_group_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_group_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Group:</b><a href="javascript:showReportCriteria('filter_group')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_group_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_branch_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Default Branch:</b><a href="javascript:hideReportCriteria('filter_branch');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Branches
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Branches
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_branch'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_branch'))">
										<br>
										<select id="src_filter_branch" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_branch_options}" multiple>
											{html_options options=$filter_data.src_branch_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_branch', 'filter_branch', {select_size array=$filter_data.src_branch_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_branch', 'src_filter_branch', {select_size array=$filter_data.src_branch_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_branch'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_branch'))">
										<br>
										<select name="filter_data[branch_ids][]" id="filter_branch" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_branch_options}" multiple>
											{html_options options=$filter_data.selected_branch_options selected=$filter_data.selected_branch_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_branch_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Default Branch:</b><a href="javascript:showReportCriteria('filter_branch')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_branch_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>


				<tbody id="filter_department_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Default Department:</b><a href="javascript:hideReportCriteria('filter_department');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Departments
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Departments
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_department'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_department'))">
										<br>
										<select id="src_filter_department" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_department_options}" multiple>
											{html_options options=$filter_data.src_department_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_department', 'filter_department', {select_size array=$filter_data.src_department_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_department', 'src_filter_department', {select_size array=$filter_data.src_department_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_department'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_department'))">
										<br>
										<select name="filter_data[department_ids][]" id="filter_department" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_department_options}" multiple>
											{html_options options=$filter_data.selected_department_options selected=$filter_data.selected_department_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_department_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Default Department:</b><a href="javascript:showReportCriteria('filter_department')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_department_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>


				<tbody id="filter_user_title_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Employee Title:</b><a href="javascript:hideReportCriteria('filter_user_title');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Titles
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Titles
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_user_title'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_user_title'))">
										<br>
										<select id="src_filter_user_title" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_user_title_options}" multiple>
											{html_options options=$filter_data.src_user_title_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_user_title', 'filter_user_title', {select_size array=$filter_data.src_user_title_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_user_title', 'src_filter_user_title', {select_size array=$filter_data.src_user_title_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_user_title'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_user_title'))">
										<br>
										<select name="filter_data[user_title_ids][]" id="filter_user_title" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_user_title_options}" multiple>
											{html_options options=$filter_data.selected_user_title_options selected=$filter_data.selected_user_title_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_user_title_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Employee Title:</b><a href="javascript:showReportCriteria('filter_user_title')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_user_title_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_include_user_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Include Employees:</b><a href="javascript:hideReportCriteria('filter_include_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employees
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employees
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_include_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_include_user'))">
										<br>
										<select id="src_filter_include_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_include_user_options}" multiple>
											{html_options options=$filter_data.src_include_user_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_include_user', 'filter_include_user', {select_size array=$filter_data.src_include_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_include_user', 'src_filter_include_user', {select_size array=$filter_data.src_include_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
										<br>
										<br>
										<br>
										<a href="javascript:UserSearch('src_filter_include_user','filter_include_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_popup.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_include_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_include_user'))">
										<br>
										<select name="filter_data[include_user_ids][]" id="filter_include_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_include_user_options}" multiple>
											{html_options options=$filter_data.selected_include_user_options selected=$filter_data.selected_include_user_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_include_user_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Include Employees:</b><a href="javascript:showReportCriteria('filter_include_user')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_include_user_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_exclude_user_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Exclude Employees:</b><a href="javascript:hideReportCriteria('filter_exclude_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Employees
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Employees
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_exclude_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_exclude_user'))">
										<br>
										<select id="src_filter_exclude_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_exclude_user_options}" multiple>
											{html_options options=$filter_data.src_exclude_user_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_exclude_user', 'filter_exclude_user', {select_size array=$filter_data.src_exclude_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_exclude_user', 'src_filter_exclude_user', {select_size array=$filter_data.src_exclude_user_options} );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
										<br>
										<br>
										<br>
										<a href="javascript:UserSearch('src_filter_exclude_user','filter_exclude_user');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_popup.gif"></a>
									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_exclude_user'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_exclude_user'))">
										<br>
										<select name="filter_data[exclude_user_ids][]" id="filter_exclude_user" style="width:200px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_exclude_user_options}" multiple>
											{html_options options=$filter_data.selected_exclude_user_options selected=$filter_data.selected_exclude_user_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_exclude_user_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Exclude Employees:</b><a href="javascript:showReportCriteria('filter_exclude_user')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_exclude_user_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tbody id="filter_column_on" style="display:none" >
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Columns:</b><a href="javascript:hideReportCriteria('filter_column');"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_top_sm.gif"></a>
						</td>
						<td>
							<table class="editTable">
								<tr class="tblHeader">
									<td>
										UnSelected Columns
									</td>
									<td>
										<br>
									</td>
									<td>
										Selected Columns
									</td>
								</tr>

									<td class="cellRightEditTable" width="50%" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('src_filter_column'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('src_filter_column'))">
										<br>
										<select id="src_filter_column" style="width:250px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.src_column_options}" multiple>
											{html_options options=$filter_data.src_column_options}
										</select>
									</td>
									<td class="cellRightEditTable" style="vertical-align: middle;" width="1">
										<a href="javascript:moveReportCriteriaItems('src_filter_column', 'filter_column', {select_size array=$filter_data.src_column_options}, true, 'value' );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_last.gif"></a>
										<a href="javascript:moveReportCriteriaItems('filter_column', 'src_filter_column', {select_size array=$filter_data.src_column_options}, true, 'value' );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_first.gif"></a>
										<br>
										<br>
										<br>
										<a href="javascript:select_item_move_up(document.getElementById('filter_column') );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_up.gif"></a>
										<a href="javascript:select_item_move_down(document.getElementById('filter_column') );"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_down.gif"></a>

									</td>
									<td class="cellRightEditTable" align="center">
										<input type="button" name="Select All" value="Select All" onClick="selectAll(document.getElementById('filter_column'))">
										<input type="button" name="Un-Select" value="Un-Select All" onClick="unselectAll(document.getElementById('filter_column'))">
										<br>
										<select name="filter_data[columns][]" id="filter_column" style="width:250px;margin:5px 0 5px 0;" size="{select_size array=$filter_data.selected_column_options}" multiple>
											{html_options options=$filter_data.selected_column_options selected=$filter_data.selected_column_options}
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
				<tbody id="filter_column_off">
					<tr>
						<td colspan="2" class="cellLeftEditTableHeader" nowrap>
							<b>Columns:</b><a href="javascript:showReportCriteria('filter_column')"><img style="vertical-align: middle" src="{$IMAGES_URL}/nav_bottom_sm.gif"></a>
						</td>
						<td class="cellRightEditTableHeader">
							<span id="filter_column_count">N/A</span> currently selected, click the arrow to modify.
						</td>
					</tr>
				</tbody>

				<tr onClick="showHelpEntry('group_by')">
					<td colspan="2" class="{isvalid object="uwf" label="group_by" value="cellLeftEditTableHeader"}">
						Group By:
					</td>
					<td class="cellRightEditTable">
						<select id="columns" name="filter_data[primary_group_by]">
							{html_options options=$filter_data.group_by_options selected=$filter_data.primary_group_by}
						</select>
						<b>then:</b>
						<select id="columns" name="filter_data[secondary_group_by]">
							{html_options options=$filter_data.group_by_options selected=$filter_data.secondary_group_by}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('sort')">
					<td colspan="2" class="{isvalid object="uf" label="type" value="cellLeftEditTableHeader"}">
						Sort By:
					</td>
					<td class="cellRightEditTable">
						<select id="columns" name="filter_data[primary_sort]">
							{html_options options=$filter_data.sort_options selected=$filter_data.primary_sort}
						</select>
						<select id="columns" name="filter_data[primary_sort_dir]">
							{html_options options=$filter_data.sort_direction_options selected=$filter_data.primary_sort_dir}
						</select>
						<b>then:</b>
						<select id="columns" name="filter_data[secondary_sort]">
							{html_options options=$filter_data.sort_options selected=$filter_data.secondary_sort}
						</select>
						<select id="columns" name="filter_data[secondary_sort_dir]">
							{html_options options=$filter_data.sort_direction_options selected=$filter_data.secondary_sort_dir}
						</select>

					</td>
				</tr>

				<tr onClick="showHelpEntry('sort')">
					<td colspan="2" class="{isvalid object="uwf" label="type" value="cellLeftEditTableHeader"}">
						Export Format:
					</td>
					<td class="cellRightEditTable">
						<select id="columns" name="filter_data[export_type]">
							{html_options options=$filter_data.export_type_options selected=$filter_data.export_type}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('hide_employer_rows')">
					<td colspan="2" class="{isvalid object="uf" label="type" value="cellLeftEditTableHeader"}">
						Hide Employer Contributions:
					</td>
					<td class="cellRightEditTable">
						<input type="checkbox" class="checkbox" name="filter_data[hide_employer_rows]" value="1" {if (bool)$filter_data.hide_employer_rows == TRUE}checked{/if}> (Pay stub only)
					</td>
				</tr>

				</table>
			</div>

		<div id="contentBoxFour">
			<input type="submit" name="BUTTON" value="Display Report" onClick="selectAllReportCriteria(); this.form.target = '_blank'; document.getElementById('action').value = 'Display Report';">
			<input type="submit" name="BUTTON" value="View Pay Stubs" onClick="selectAllReportCriteria(); this.form.target = '_self'; document.getElementById('action').value = 'View Pay Stubs';this.form.submit()">
			<input type="submit" name="BUTTON" value="Export" onClick="selectAllReportCriteria(); this.form.target = '_self'; document.getElementById('action').value = 'Export';">
		</div>

			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}