{include file="header.tpl" body_onload="formChangeDetect();"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" name="edit_permission" action="{$smarty.server.SCRIPT_NAME}">
				<div id="contentBoxTwoEdit">

				{if !$pf->Validator->isValid()}
					{include file="form_errors.tpl" object="pf"}
				{/if}

				<table class="tblList">

				<tr class="tblHeader">
					<td colspan="6">
						Permission Presets:
							<select id="preset" name="data[preset]">
								{html_options options=$preset_options}
							</select>
							{if $product_edition == 20}
							<input type="checkbox" name="data[preset_flags][job]" value="1"> Job Tracking
							<input type="checkbox" name="data[preset_flags][invoice]" value="1"> Invoicing
							<input type="checkbox" name="data[preset_flags][document]" value="1"> Documents
							{/if}
						<input type="submit" class="button" name="action" value="Apply">
					</td>
				</tr>

				<tr class="tblHeader">
					<td colspan="6">
						Permission Group:
							<select id="group" name="group_id" onChange="submitModifiedForm('group', '', document.edit_permission);">
								{html_options options=$section_group_options selected=$group_id}
							</select>
							<input type="hidden" id="old_group" value="{$group_id}">
					</td>
				</tr>

				{foreach name="toc" from=$permission_data item=section}
					{if $ignore_permissions[$section.name] != 'ALL'}
						{if $smarty.foreach.toc.first}
							<tr class="tblHeader">
								<td colspan="6">
									<a name="top">Table of Contents</a>
								</td>
							</tr>

							{cycle assign=row_class values="tblDataWhiteNH,tblDataGreyNH"}
							<tr class="{$row_class}">
						{/if}

							<td colspan="2">
								<a href="#{$section.name}">{$section.display_name}</a>
							</td>

						{if $smarty.foreach.toc.iteration % 3 == 0}
							{cycle assign=row_class values="tblDataWhiteNH,tblDataGreyNH"}
							</tr>
							<tr class="{$row_class}">
						{/if}

						{if $smarty.foreach.toc.last}
							<td colspan="2">
								<a href="#employees">Employee List</a>
							</td>
							{if ($smarty.foreach.toc.total+1) % 3 != 0}
								<td colspan="6">
									<br>
								</td>
							{/if}

							</tr>
						{/if}
					{/if}
				{/foreach}

				<tr>
					<td colspan="6">
						<br>
					</td>
				</tr>

				{foreach from=$permission_data item=section}
					{if $ignore_permissions[$section.name] != 'ALL'}
					<tr class="tblHeader">
						<td>
							[ <a href="#top">Top</a> ] [ <a href="#employees">Bottom</a> ]
						</td>
						<td>
							<a name="{$section.name}">{$section.display_name}</a>
						</td>
						<td>
							Allow
						</td>
						<td>
							Default
						</td>
						<td>
							Deny
						</td>
						<td>
							Current
						</td>
					</tr>
					{foreach from=$section.permissions item=perm}

						{if !isset($ignore_permissions[$section.name])
							OR
							(
								(
								isset($ignore_permissions[$section.name])
								AND is_array($ignore_permissions[$section.name])
								AND in_array($perm.name, $ignore_permissions[$section.name])
								AND $permission->Check('company','edit')
								)
								OR
								(
								isset($ignore_permissions[$section.name])
								AND is_array($ignore_permissions[$section.name])
								AND !in_array($perm.name, $ignore_permissions[$section.name])
								)
							)}



						{cycle assign=row_class values="tblDataWhiteNH,tblDataGreyNH"}
						<tr class="{$row_class}">
							<td colspan="2" class="cellLeftBlueEditTable">
								{$perm.display_name}: {$ignore_permissions[$section.name][$perm.name]}
							</td>
							<td>
								<input type="radio" name="data[permissions][{$section.name}][{$perm.name}]" value="1" {if ( $perm.default == FALSE AND $perm.result === TRUE)}checked{/if}>
							</td>
							<td>
								<input type="radio" name="data[permissions][{$section.name}][{$perm.name}]" value="-1" {if ($perm.default == TRUE)}checked{/if}>
							</td>
							<td>
								<input type="radio" name="data[permissions][{$section.name}][{$perm.name}]" value="0" {if ($perm.default == FALSE AND $perm.result === FALSE)}checked{/if}>
							</td>
							<td>
								{if ($perm.result === TRUE)}
									Allow
								{else}
									Deny
								{/if}
							</td>
							<input type="hidden" name="old_data[permissions][{$section.name}][{$perm.name}]" value="{if ( $perm.default == FALSE AND $perm.result === TRUE)}1{elseif ($perm.default == TRUE)}-1{elseif ($perm.default == FALSE AND $perm.result === FALSE)}0{/if}">
						</tr>
						{/if}
					{/foreach}
					{/if}
				{/foreach}

				<tr class="tblHeader">
					<td colspan="6">
						<a name="employees">Employees</a> [ <a href="#top">Top</a> ]
					</td>
				</tr>

				{cycle assign=row_class values="tblDataWhiteNH,tblDataGreyNH"}
				<tr class="{$row_class}">
					<td class="tblHeader" colspan="6">
						<select name="data[user_ids][]" multiple>
							{html_options options=$user_options selected=$id}
						</select>
					</td>
				</tr>

			</table>
		</div>

		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit">
		</div>

		<input type="hidden" name="id" value="{$id}">
		</form>
	</div>
</div>
{include file="footer.tpl"}
