<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<wml>
{if $result == 'success'}
	<card id="punch" title='Punch'>
		{$result_str}
		<p><anchor><go href="{$smarty.server.REQUEST_URI}"/>New Punch</anchor></p>
		<p><anchor><go href="{$BASE_URL}/wap_login.php"/>Login</anchor></p>
	</card>
{elseif $result == 'fail'}
	<card id="punch" title='Punch'>
		<p>
			Punch Failed!
		</p>
		<p><anchor><go href="{$smarty.server.REQUEST_URI}"/>New Punch</anchor></p>
		<p><anchor><go href="{$BASE_URL}/wap_login.php"/>Login</anchor></p>
	</card>
{else}
	{if $station_is_allowed == TRUE}
		<template>
			<do type="accept" name="action" label="Punch">
				<go href="WAPPunch.php" method="post">
					<postfield name="data[user_id]" value="{$data.user_id}"/>
					<postfield name="data[user_date_id]" value="{$data.user_date_id}"/>
					<postfield name="data[punch_control_id]" value="{$data.punch_control_id}"/>
					<postfield name="data[time_stamp]" value="{$data.time_stamp}"/>
					<postfield name="data[type_id]" value="$(type_id)"/>
					<postfield name="data[status_id]" value="$(status_id)"/>
					<postfield name="data[transfer]" value="$(transfer)"/>
					<postfield name="data[branch_id]" value="$(branch_id)"/>
					<postfield name="data[department_id]" value="$(department_id)"/>
					<postfield name="data[job_id]" value="$(job_id)"/>
					<postfield name="data[job_item_id]" value="$(job_item_id)"/>
					<postfield name="data[quantity]" value="$(quantity)"/>
					<postfield name="data[bad_quantity]" value="$(bad_quantity)"/>
					<postfield name="action" value="submit"/>
				</go>
			</do>
		</template>

		<card id="punch" title='Punch'>
			<p>
			{$data.user_full_name}
			</p>

			<p>
			Time: {getdate type="TIME" epoch=$data.time_stamp}
			</p>

			<p>
			Type: <select name="type_id" ivalue="{$data.selected_type_option}">
					{wap_html_options options=$data.type_options}
				</select>
			</p>
			<p>
			Status:
				<select name="status_id" ivalue="{$data.selected_status_option}">
					{wap_html_options options=$data.status_options}
				</select>
			</p>

			<p><anchor><go href="#branch"/>Branch/Dept</anchor></p>
			{if $permission->Check('job','enabled') }
				<p><anchor><go href="#job"/>Job/Task</anchor></p>
			{/if}
		</card>

		<card id="branch" title='Branch / Dept'>
			<p>
			Transfer:
			<select name="transfer">
				{wap_html_options options=$data.transfer_options}
			</select>
			</p>
			<p>
			Branch:
			<select name="branch_id" ivalue="{$data.selected_branch_option}">
				{wap_html_options options=$data.branch_options}
			</select>
			</p>
			<p>
			Department:
			<select name="department_id" ivalue="{$data.selected_department_option}">
				{wap_html_options options=$data.department_options}
			</select>
			</p>

			{if $permission->Check('job','enabled') }
				<p><anchor><go href="#job"/>Job/Task</anchor></p>
			{/if}
			<p><anchor><go href="#punch"/>Type/Status</anchor></p>
		</card>

		{if $permission->Check('job','enabled') }
			<card id="job" title='Job / Task'>
				<p>
				Transfer:
				<select name="transfer">
					{wap_html_options options=$data.transfer_options}
				</select>
				</p>
				<p>
				Job:
					<select name="job_id" ivalue="{$data.selected_job_option}">
						{wap_html_options options=$data.job_options selected=$data.job_id}
					</select>
				</p>
				<p>
				Task:
					<select name="job_item_id" ivalue="{$data.selected_job_item_option}">
						{wap_html_options options=$data.job_item_options selected=$data.job_item_id}
					</select>
				</p>
				<p>
				Quantity:
				Good: <input type="text" name="quantity" value="{$data.quantity}" size="4" format="*N" />
				</p>
				<p>
				Quantity:
				Bad: <input type="text" name="bad_quantity" value="{$data.bad_quantity}" size="4" format="*N" />
				</p>

				<p><anchor><go href="#punch"/>Type/Status</anchor></p>
				<p><anchor><go href="#branch"/>Branch/Dept</anchor></p>
			</card>
		{/if}
	{else}
		You are not authorized to punch in or out from this station!
	{/if}

{/if}
</wml>
{* {include file="footer.tpl"} *}